SLARTV(3f)

NAME
SLARTV - a vector of real plane rotations to elements of the real vectors x and y

SYNOPSIS

SUBROUTINE SLARTV(
    N, X, INCX, Y, INCY, C, S, INCC )

INTEGER
    INCC, INCX, INCY, N

REAL
    C( * ), S( * ), X( * ), Y( * )

PURPOSE
SLARTV applies a vector of real plane rotations to elements of the real vectors x and y. For i = 1,2,...,n
   ( x(i) ) := ( c(i) s(i) ) ( x(i) )
   ( y(i) ) ( -s(i) c(i) ) ( y(i) )

ARGUMENTS

N       (input) INTEGER
    The number of plane rotations to be applied.

X       (input/output) REAL array,
    dimension (1+(N-1)*INCX) The vector x.

INCX    (input) INTEGER
    The increment between elements of X. INCX > 0.

Y       (input/output) REAL array,
    dimension (1+(N-1)*INCY) The vector y.

INCY    (input) INTEGER
    The increment between elements of Y. INCY > 0.

C       (input) REAL array, dimension (1+(N-1)*INCC)
    The cosines of the plane rotations.

S       (input) REAL array, dimension (1+(N-1)*INCC)
    The sines of the plane rotations.

INCC    (input) INTEGER
    The increment between elements of C and S. INCC > 0.